GraphQL / Object Interface Related Structures.| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectList | yes | []string | Target object ID list |
| relationType | yes | int | Binding relationship type |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | int | Error code |
| errorInfo | yes | string | Error details |
| result | no | MsgResLatestObjectRelationResult | Query results |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectList | yes | ObjectInfo | Latest bound object details |
| targetList | yes | []MsgResObjectRelation | List of all child objects returned by type |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectType | no | int | Object type |
| objectList | no | []long | List of object IDs |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: 92575d36dcb631ac94745e6b157de17a5a13d65b31e44869f06854ab928dd80235d4daae8696b4a92a7be5f802c45a219648701fc9ca59f44e9c0f022d5d38a7' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "query getLatestObjectRelation { getLatestObjectRelation(input: { objectList: [\"1781023\", \"123998812\"], relationType: 1 }) { errorCode errorInfo result { objectId latestObjectInfo { objectId objectName objectType } targetList { objectType objectIdList } } } }"
}'{
"data": {
"getLatestObjectRelation": {
"errorCode": "0x0",
"errorInfo": "Succ",
"result": [
{
"objectId": "1781023",
"latestObjectInfo": {
"objectId": "1238543295056056320",
"objectName": "ddd",
"objectType": 5
},
"targetList": [
{
"objectType": 5,
"objectIdList": [
"1238543295056056320"
]
}
]
},
{
"objectId": "123998812",
"latestObjectInfo": {
"objectId": "1",
"objectName": "testmodify",
"objectType": 5
},
"targetList": [
{
"objectType": 5,
"objectIdList": [
"1781023"
]
}
]
}
]
}
}
}